SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [FormTemplate](
	[TemplateID] [int] IDENTITY(1,1) NOT NULL,
	[TemplateName] [nvarchar](50) NULL,
	[AliasName] [varchar](50) NULL,
	[Remark] [nvarchar](50) NULL,
	[CreateDate] [datetime] NULL CONSTRAINT [DF_FormTemplate_CreateDate]  DEFAULT (getdate()),
 CONSTRAINT [PK_FormTemplate] PRIMARY KEY CLUSTERED 
(
	[TemplateID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET IDENTITY_INSERT [FormTemplate] ON 

INSERT [FormTemplate] ([TemplateID], [TemplateName], [AliasName], [Remark], [CreateDate]) VALUES (18, N'基础模板', N'base', N'字段或属性相对较少的基础模板', CAST(N'2015-01-01 16:49:47.527' AS DateTime))
SET IDENTITY_INSERT [FormTemplate] OFF
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'模板名' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'FormTemplate', @level2type=N'COLUMN',@level2name=N'TemplateName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'模板别名,将根据名称生成表' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'FormTemplate', @level2type=N'COLUMN',@level2name=N'AliasName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'备注' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'FormTemplate', @level2type=N'COLUMN',@level2name=N'Remark'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'创建时间' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'FormTemplate', @level2type=N'COLUMN',@level2name=N'CreateDate'
GO
